Subject: Re: [PATCHv5] rebase [-i --exec | -ix] <CMD>...

From: Zbigniew Jędrzejewski-Szmek <[email-masked]>
Date: Wed, 13 Jun 2012 23:07:32 +0200

On 06/13/2012 10:59 PM, Johannes Sixt wrote:
> Am 13.06.2012 21:38, schrieb [email-masked]:
>>
>> Junio C Hamano <[email-masked]> a écrit :
>>
>>> It looks that editing
>>>
>>>     pick foo            pick foo
>>>     exec cmd1           exec cmd1 && cmd2
>>>     exec cmd2
>>>     pick bar            pick bar
>>>     exec cmd1           exec cmd1 && cmd2
>>>     exec cmd2
>>>
>>> to
>>>
>>>     pick foo            pick foo
>>>                         exec         cmd2
>>>     exec cmd2
>>>     pick bar            pick bar
>>>     exec cmd1           exec cmd1
>>>
>>> would take exactly the same effort, at least to me.  And more
>>> importantly, without editing don't they do *exactly* the same thing?
>>> If cmd1 fails, the sequencing stops at that step without running cmd2.
>>
>> True. I was thinking under the fact that the user would edit the commands
>> by himself but the purpose of the "--exec" option is to avoid that (or at
>> least that the user won't have to type all by himself). Forget what I said
>> then :).
> 
> Not so fast.
> 
> 	exec cmd1 && cmd2
> and
> 	exec cmd1
> 	exec cmd2
> 
> are far from equivalent: If cmd1 fails, the first version never runs
> cmd2, but the second version runs cmd2 upon rebase --continue.
> 
> The updated documentation should not say that the two are "equivalent".
Good catch. Word "equivalently" is inappropriate here. I think that just
removing that one word is best.

Zbyszek